%define upstream_name    CPAN-Reporter
%define upstream_version 1.2020

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::Spec\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Adds CPAN Testers reporting to CPAN.pm
License:    Apache License
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN) >= 1.940.0
BuildRequires: perl(CPAN::Version)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.80.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Autoflush) >= 0.40.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::HomeDir) >= 0.580.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.190.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::pushd) >= 0.320.0
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd) >= 0.760.0
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::Reporter) >= 1.540.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The CPAN Testers project captures and analyses detailed results from
building and testing CPAN distributions on multiple operating systems and
multiple versions of Perl. This provides valuable feedback to module
authors and potential users to identify bugs or platform compatibility
issues and improves the overall quality and value of CPAN.

One way individuals can contribute is to send a report for each module that
they test or install. CPAN::Reporter is an add-on for the CPAN.pm module to
send the results of building and testing modules to the CPAN Testers
project. Full support for CPAN::Reporter is available in CPAN.pm as of
version 1.92.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Aug 23 2024 tv <tv> 1.202.0-1.mga10
+ Revision: 2088809
- update to 1.2020

* Tue Aug 29 2023 tv <tv> 1.201.900-1.mga10
+ Revision: 1980948
- update to 1.2019

* Sun Mar 20 2022 umeabot <umeabot> 1.201.800-5.mga9
+ Revision: 1808343
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.201.800-4.mga8
+ Revision: 1503497
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.201.800-3.mga7
+ Revision: 1281872
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.201.800-2.mga7
+ Revision: 1163589
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.201.800-1.mga7
+ Revision: 1156677
- new version 1.2018

* Sat Jun 18 2016 pterjan <pterjan> 1.201.500-3.mga6
+ Revision: 1024493
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.201.500-2.mga6
+ Revision: 969344
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.201.500-1.mga6
+ Revision: 868359
- update to 1.2015

* Sat Jul 04 2015 sander85 <sander85> 1.201.400-1.mga6
+ Revision: 850276
- update to 1.2014

* Wed Oct 15 2014 umeabot <umeabot> 1.201.100-5.mga5
+ Revision: 747061
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.201.100-4.mga5
+ Revision: 732993
- add exclude

* Tue Sep 23 2014 tv <tv> 1.201.100-3.mga5
+ Revision: 722229
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.201.100-2.mga5
+ Revision: 683687
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 jquelin <jquelin> 1.201.100-1.mga5
+ Revision: 604351
- update to 1.2011

* Sat Oct 19 2013 umeabot <umeabot> 1.201.0-2.mga4
+ Revision: 526491
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 1.201.0-1.mga4
+ Revision: 437125
- update to 1.2010

* Sun Jan 13 2013 umeabot <umeabot> 1.200.900-2.mga3
+ Revision: 363645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.200.900-1.mga3
+ Revision: 342035
- update to 1.2009

* Tue Jun 05 2012 jquelin <jquelin> 1.200.600-1.mga3
+ Revision: 254737
- update to 1.2006

* Mon Mar 05 2012 jquelin <jquelin> 1.200.500-1.mga2
+ Revision: 218717
- update to 1.2005

* Wed Feb 22 2012 kharec <kharec> 1.200.400-1.mga2
+ Revision: 211962
- update to 1.2004

* Wed Dec 07 2011 kharec <kharec> 1.200.300-1.mga2
+ Revision: 178304
- update to 1.2003
+ jquelin <jquelin>
- update to 1.2002

* Wed Feb 16 2011 jquelin <jquelin> 1.190.200-1.mga1
+ Revision: 52582
- update to 1.1902

* Mon Jan 24 2011 jquelin <jquelin> 1.180.300-2.mga1
+ Revision: 36152
- mageia rebuild
- imported package perl-CPAN-Reporter

